local TequanExcel = require("excel.qqTequan")
function isDot(human)
    if human.db.txHall ~= nil and human.pf_info.pf == "qqgame" then
        if human.db.txHall.isGet == nil then
            return true
        end
        if human.db.txHall.daily == nil then
            return true
        end
        local config = TequanExcel.txLvUp
        local lenConfig = #config
        for i = 1,lenConfig do
            if human.db.txHall ~= nil and (human.db.txHall.lvup == nil or human.db.txHall.lvup[i] == nil) then
                if human.db.lv >= config[i].needLv then
                    return true
                end
            end
        end
    end
    if human.db.qqZone ~= nil and (human.pf_info.pf == "qzone" or human.pf_info.pf == "website")then
        if human.db.qqZone.isGet == nil then
            return true
        end
        if human.db.qqZone.daily == nil then
            return true
        end
        local config = TequanExcel.txLvUp
        local lenConfig = #config
        for i = 1,lenConfig do
            if human.db.qqZone ~= nil and (human.db.qqZone.lvup == nil or human.db.qqZone.lvup[i] == nil) then
                if human.db.lv >= config[i].needLv then
                    return true
                end
            end
        end
    end
    return
end